Overview | Package | Class | Tree | Deprecated | Index | Help
| Sybase eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sybaseadapter
Class SybasePreparedStatementAgent

    java.lang.Object
      com.stc.connector.sybaseadapter.base.StatementAgentImpl
          com.stc.connector.sybaseadapter.base.PreparedStatementAgentImpl
              com.stc.connector.sybaseadapter.SybasePreparedStatementAgent

All Implemented Interfaces:
  com.stc.connector.appconn.db.PreparedStatementAgent, com.stc.connector.appconn.db.StatementAgent, com.stc.connector.db.SessionEventListener

Direct Known Subclasses:
  SybaseCallableStatementAgent

    public class SybasePreparedStatementAgent

extends PreparedStatementAgentImpl

Agent hosts PreparedStatement interface for Sybase.

Version:
  $Revision: 1.3 $
Author:
  $Author: cmbuild $

Field Summary

Fields inherited from class com.stc.connector.sybaseadapter.base.PreparedStatementAgentImpl
`askGetMoreResults, askGetResultSet, bUseResultsAvailable, curRSetAgent, curRSetSig, nParam, nUpdateCount, retResultSet, retUpdateCount, sCommand`

Fields inherited from class com.stc.connector.sybaseadapter.base.StatementAgentImpl
`concurrencyType, listener, resultSetConcurMap, resultsetDirection, resultSetDirMap, resultsetType, resultSetTypeMap, session, sqlException, statement, statementClassName`

Constructor Summary
`SybasePreparedStatementAgent()` Default constructor to create an SybasePraparedStatementAgent instance.
`SybasePreparedStatementAgent(com.stc.connector.db.Session session)` Constructor to create an SybasePraparedStatementAgent instance.
`SybasePreparedStatementAgent(com.stc.connector.db.Session session, int iScroll, int iConcur)` Constructor to create an SybasePraparedStatementAgent instance.
`SybasePreparedStatementAgent(com.stc.connector.db.Session session, java.lang.String sSql)` Constructor to create an SybasePraparedStatementAgent instance.
`SybasePreparedStatementAgent(com.stc.connector.db.Session session, java.lang.String sSql, int iScroll, int iConcur)` Constructor to create an SybasePraparedStatementAgent instance.

Method Summary
`void` | `setSybaseCursorOrds(int[] cursorOrds)` Sets the SQL Server cursor ordinals.

Methods inherited from class com.stc.connector.sybaseadapter.base.PreparedStatementAgentImpl
`addBatch, clearParameters, curRSetSig, enableResultSetsAndUpdateCounts, enableResultSetsOnly, enableUpdateCountsOnly, execute, executeQuery, executeUpdate, getCurRSetAgent, getPreparedStmt, getRSAgentList, getRSAgentSigs, getUpdateCount, matchResultSetSignature, resultsAvailable, sessionOpen, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCurRSetAgent, setDate, setDate, setDouble, setFloat, setInt, setLong, setNull, setNull, setObject, setObject, setObject, setRef, setRSAgentList, setRSAgentSigs, setShort, setString, setTime, setTime, setTimestamp, setTimestamp`

Methods inherited from class com.stc.connector.sybaseadapter.base.StatementAgentImpl
`cancel, clearBatch, clearWarnings, executeBatch, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getWarnings, isClosed, queryName, resultSetConcurToString, resultSetDirToString, resultSetTypeToString, sessionClose, sessionReset, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, stmtInvoke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.db.StatementAgent
`cancel, clearBatch, clearWarnings, executeBatch, getFetchDirection, getFetchSize, getMaxFieldSize, getMaxRows, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetType, getWarnings, isClosed, queryName, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, stmtInvoke`

Constructor Detail

### SybasePreparedStatementAgent

    public SybasePreparedStatementAgent()

  Default constructor to create an SybasePraparedStatementAgent instance.

### SybasePreparedStatementAgent

    public SybasePreparedStatementAgent(com.stc.connector.db.Session session)

  Constructor to create an SybasePraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.

### SybasePreparedStatementAgent

    public SybasePreparedStatementAgent(com.stc.connector.db.Session session,
                                        int iScroll,
                                        int iConcur)

  Constructor to create an SybasePraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE.
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.

### SybasePreparedStatementAgent

    public SybasePreparedStatementAgent(com.stc.connector.db.Session session,
                                        java.lang.String sSql)

  Constructor to create an SybasePraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `sSql` - a SQL statement for the prepared statement.

### SybasePreparedStatementAgent

    public SybasePreparedStatementAgent(com.stc.connector.db.Session session,
                                        java.lang.String sSql,
                                        int iScroll,
                                        int iConcur)

  Constructor to create an SybasePraparedStatementAgent instance.

  Parameters:
    `session` - a Session object used to hold connection information.
    `sSql` - a SQL statement for the prepared statement.
    `iScroll` - resultset type; TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE
    `iConcur` - concurrency type; CONCUR_READ_ONLY, CONCUR_UPDATABLE.

Method Detail

### setSybaseCursorOrds

    public void setSybaseCursorOrds(int[] cursorOrds)

  Sets the SQL Server cursor ordinals.

  Parameters:
    `cursorOrds` - an arrary of integer ordinals.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sybase eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD